using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using AyCode.Core.Enums;
using AyCode.Core.Loggers;
using AyCode.Entities.LogItems;
using MessagePack;
using KeyAttribute = MessagePack.KeyAttribute;

namespace AyCode.Entities.Server.LogItems;

[MessagePackObject]
[Table("LogItem")]
public class AcLogItem : AcLogItemClient, IAcLogItem
{
    [Key(55)] 
    [System.ComponentModel.DataAnnotations.Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }

    [Key(60)] public int LogHeaderId { get; set; }

    public AcLogItem() : base()
    { }
}